Ubuntu 12.10 64 bit AMD/Ati Legacy Drivers installeren

[Deze post is meer dan anderhalf jaar oud. Een eeuwigheid. Voor de volledigheid blijft ie staan, maar de oplossing werkt niet meer]

Over sommige dingen wordt zo veel geschreven, dat door de bomen het bos niet meer te zien is. Dat betreft vaak Ubuntu/Linux-gerelateerde problemen waarvoor je dan oplossingen tegenkomt van versie 8.04, terwijl we ondertussen al weer vier jaar verder zijn.*

Mijn probleem: ik heb een AMD Radeon HD 4850 videokaart** en de drivers daarvoor zijn zogenaamde ‘legacy drivers’ (v. 12.06). Dat houdt in dat er geen nieuwe drivers voor gemaakt zijn en de laatst werkende krijgen dan het stempel ‘legacy’, maar die zitten weer niet standaard in de laatste Ubuntu-versie (want gedoe met afhankelijkheden van Xorg 1.x en 1.y etc.).

Op zich zijn de open source-drivers prima: ze werken, maar niet altijd. Heel wat gezoek verder (of gebruikte ik in eerste instantie toch de verkeerde termen?) en wat trial en error later bleek dit de beste, snelste én simpelste oplossing om de gesloten drivers te installeren***:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

Read more